{% extends 'base.html' %}
{% load static %}

{% block css %}
    <link rel="stylesheet" href="{% static 'css/styles.css' %}">
{% endblock %}

{% block content %}
    <div class="card mb-5">
      <div class="card-body">
        <h5 class="card-title">{{ post.title }}</h5>
        <p class="mb-0 gray_font" style="font-size: 12px;">by {{ post.author }}</p>
        <p class="gray_font" style="font-size: 12px;">{{ post.created_at }}</p>
        <p class="card-text">{{ post.body }}</p>
        <div class="mb-3 gray_font">
            {% for tag in post.tags.all %}
                #{{ tag }}{% if not forloop.last %}, {% endif %}
            {% endfor %}
        </div>
        <a href="{% url 'post_update' post.pk %}" class="btn btn-primary">Edit</a>
        <a href="{% url 'post_delete' post.pk %}" class="btn btn-danger">Delete</a>
      </div>
    </div>

    <div class="card mb-5 w-50">
        <div class="card-body">
            <form action="{% url 'comment_create' post.pk %}" method="POST">
                {% csrf_token %}
                {{ comment_form.as_p }}
                <button type="submit" class="btn btn-success">Add comment</button>
            </form>
        </div>
    </div>

    <div class="card">
        {% for comment in comments %}
            <div class="card-body">
                <p class="mb-0">{{ comment.text }}</p>
                <p class="mb-0">by: {{ comment.author }}</p>
                <p class="mb-0 gray_font fs-12">{{ comment.created_at }}</p>
                <div class="mt-2">
                    <a href="{% url 'comment_update' comment.pk %}" class="btn btn-outline-primary btn-sm">Edit</a>
                    <a href="{% url 'comment_delete' comment.pk %}" class="btn btn-outline-danger btn-sm">Delete</a>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}